package com.engine.salary.enums.salaryarchive;

import org.apache.commons.lang3.StringUtils;

/**
 * 薪资档案导入类型
 * <p>Copyright: Copyright (c) 2022</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
public enum SalaryArchiveImportTypeEnum {

    SALARYITEMADJUST("salaryItemAdjust", "调薪", 85985),
    TAXAGENTADJUST("taxAgentAdjust", "调整个税扣缴义务人", 93910),
    INIT("init", "档案初始化", 101600);

    private String value;

    private String defaultLabel;

    private int labelId;

    SalaryArchiveImportTypeEnum(String value, String defaultLabel, int labelId) {
        this.value = value;
        this.defaultLabel = defaultLabel;
        this.labelId = labelId;
    }

    public String getValue() {
        return value;
    }

    public String getDefaultLabel() {
        return defaultLabel;
    }

    public int getLabelId() {
        return labelId;
    }

    public static SalaryArchiveImportTypeEnum parseByValue(String value) {
        for (SalaryArchiveImportTypeEnum enums : SalaryArchiveImportTypeEnum.values()) {
            if (StringUtils.equals(enums.getValue(), value)) {
                return enums;
            }
        }
        return null;
    }
}
